新手问题 如何在 Ubuntu 中同时安装多个 Rails 版本?

ruomu · 2016年11月10日 · 最后由 ruomu 回复于 2016年11月10日 · 1796 次阅读

新手学过 rails4,现在想学习 rails5,请问如何在 Ubuntu 中同时安装 rails4,和 rails5?谢谢各位了。

如果使用 Gemfile 和 Bundler 的话,可以在 gem 行上加上版本号。

Gemfile、rvm、gemset

#1 楼 @msg7086 可以直接 gem install rails --version=5.0.0.1 么,会与已经装好的 rails4.2 冲突么。

安装 rvm,然后 rvm gemset create 4.2 和 rvm gemset create 5.0,使用的时候 rvm use [email protected] 就可以隔离不用的 gem 了。

#4 楼 @liwei78 谢谢回复。先前已经安装了 rbenv。我可以直接 gem install rails --version=5.0.0.1 么,会与已经装好的 rails4.2 冲突么。

需要 登录 后方可回复, 如果你还没有账号请 注册新账号